import { default as MicroEditorModel } from "../../../Models/MicroEditorModel.js";
export interface IInputEditorViewOptions {
    focus: Function;
    editor: MicroEditorModel;
}
export declare class InputEditorView extends Jade.UI.Control {
    private m_editorView;
    private m_editorModel;
    constructor(options: IInputEditorViewOptions);
    get editorModel(): MicroEditorModel;
    private get editorView();
    private get focusCallback();
    template(): string | Array<string> | JQuery;
    focus(): void;
    show(): void;
    hide(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private editor_init;
}
